<?php
// INTEGRATES INTO PVTCONTENT CUSTOM CSS CODES
function pcpp_custom_styles() {
?>

/*** REGISRATION FORM FIELD ***/
.pcpp_trial_box {
	background-color: <?php echo get_option('pcpp_trial_bg', '#f5f5f5') ?>;
	border: <?php echo (int)get_option('pcpp_trial_border_w', 0) ?>px solid <?php echo get_option('pcpp_trial_border_col', '#d2d2d2') ?>;
	border-radius: <?php echo (int)get_option('pcpp_trial_bord_rad', 0) ?>px;
}
.pcpp_plan_ul > li {
	background-color: <?php echo get_option('pcpp_plan_bg', '#fff') ?>;
}
.pcpp_plan_ul > li:before {
	border-left: 0px solid <?php echo get_option('pcpp_plan_flap_h', '#ececec') ?>;
}
.pcpp_plan_ul li.pcpp_chosen {
	background-color: <?php echo get_option('pcpp_plan_bg_sel', '#fafafa') ?>;
}
.pcpp_plan_ul li.pcpp_chosen:before {
	border-left-color: <?php echo get_option('pcpp_plan_flap_sel', '#d2d2d2') ?>;
}
.pcpp_trial_box * {
	color: <?php echo get_option('pcpp_trial_txt_col', '#373737') ?>;	
}
.pcpp_plan_ul * {
	color: <?php echo get_option('pcpp_plan_txt_col', '#373737') ?>;	
}
.pcpp_plan_ul .pcpp_chosen * {
	color: <?php echo get_option('pcpp_plan_txt_col_sel', '#373737') ?>;	
}


/* dropdown trigger */
#pcpp_plan_dd_label i {
    border: 1px solid <?php echo get_option('pcpp_onecol_dd_bord_col', '#d3d3d3') ?>; 
	background: none;
}
#pcpp_plan_dd_label i:before {
	border-color: <?php echo get_option('pcpp_onecol_dd_arr_col', '#444') ?>;
}


/* multi-col layout */
.pc_fluid_form:not(.pc_form_1col) .pcpp_plan_ul > li:not(.pcpp_chosen) {
	box-shadow: 0 0 0 1px <?php echo get_option('pcpp_plan_border_col', '#e8e8e8') ?> inset;
}


/* multicol - bold */
.pc_fluid_form:not(.pc_form_1col) .pcpp_bold_fluid_layout > li.pcpp_chosen {
	box-shadow: 0 0 0 1px <?php echo get_option('pcpp_bfl_border_col_sel', '#f7f7f7') ?> inset;
}
.pc_fluid_form:not(.pc_form_1col) .pcpp_bold_fluid_layout .pcpp_plan_name {
	background: <?php echo get_option('pcpp_bfl_title_bg', '#eee') ?>;
	color: <?php echo get_option('pcpp_bfl_title_col', '#444') ?>;	
    border-radius: <?php echo (int)get_option('pcpp_bfl_title_bord_rad', 2) ?>px;
}
.pc_fluid_form:not(.pc_form_1col) .pcpp_bold_fluid_layout li.pcpp_chosen .pcpp_plan_name {
	background: <?php echo get_option('pcpp_bfl_title_bg_sel', '#eee') ?>;
	color: <?php echo get_option('pcpp_bfl_title_col_sel', '#444') ?>;	
}


/* single-col layout / multicol on 1-col */
.pc_one_col_form .pcpp_plan_ul > li:before,
.pc_fluid_form.pc_form_1col .pcpp_plan_ul > li:before {
	border-bottom: 1px solid <?php echo get_option('pcpp_onecol_divider', '#f1f1f1') ?>;
}


/* list styling in plans description */
.pcpp_plan_descr ul li {
	border-color: <?php echo get_option('pcpp_trial_border_col', '#d2d2d2') ?>;
}
.pcpp_chosen .pcpp_plan_descr ul li {
	border-color: <?php echo get_option('pcpp_plan_flap_sel', '#d2d2d2') ?>;
}


/*** PCPP - END ***/

<?php
}
add_action('pc_custom_style_css', 'pcpp_custom_styles');
